services:
    _defaults:
        autowire: true
        autoconfigure: true

    Chill\MainBundle\Controller\:
        resource: '../../Controller'
        tags: ['controller.service_arguments']

    Chill\MainBundle\Controller\PasswordController:
        arguments:
            $chillLogger: '@monolog.logger.chill'
        tags: ['controller.service_arguments']

    Chill\MainBundle\Controller\SearchController:
        arguments:
            $searchProvider: '@chill_main.search_provider'
            $translator: '@Symfony\Contracts\Translation\TranslatorInterface'
            $paginatorFactory: '@Chill\MainBundle\Pagination\PaginatorFactory'
            $searchApi: '@Chill\MainBundle\Search\SearchApi'
        tags: ['controller.service_arguments']

    Chill\MainBundle\Controller\PermissionsGroupController:
        arguments:
            $translatableStringHelper: '@Chill\MainBundle\Templating\TranslatableStringHelper'
            $roleProvider: '@chill.main.role_provider'
            $roleHierarchy: '@security.role_hierarchy'
            $translator: '@Symfony\Contracts\Translation\TranslatorInterface'
            $validator: '@Symfony\Component\Validator\Validator\ValidatorInterface'
        tags: ['controller.service_arguments']

    Chill\MainBundle\Controller\NotificationController:
        tags: ['controller.service_arguments']

    Chill\MainBundle\Controller\RegroupmentController:
        autowire: true
        autoconfigure: true

    Chill\MainBundle\Controller\UserExportController:
        tags: ['controller.service_arguments']
